import javax.annotation.PostConstruct;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;

/**
 * ApplicationScoped bean to show failure when an NPE is thrown from @PostConstruct.
 */
@ApplicationScoped
public class AppBean
{
    public AppBean()
    {
        System.out.println("AppBean.CTOR " + this);
    }

    @PostConstruct
    private void postConstruct()
    {
        System.out.println("In PostConstruct");

        throw new NullPointerException();
    }

    private void observe(@Observes SomeEvent event)
    {
        System.out.println("Process event on " + this);
    }
}
