import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;

/**
 * Main driver.
 */
public class Main
{
    public static void main(String[] args)
    {
        final WeldContainer container = new Weld().initialize();

        final AppBean appBean = container.select(AppBean.class).get();

        try
        {
            System.out.println("Get produced: " + appBean);
        } catch (Exception e)
        {
            System.out.println("Caught: " + e);
        }

        try
        {
            container.event().fire(new SomeEvent());
        } catch (Exception e)
        {
            System.out.println("Caught: " + e);
        }

        System.exit(0); // Needed for some reason when running with "mvn exec:java"
    }
}
